/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT (C) Lexmark Corporation, 1989                                   */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/**************************************************************************
 *                            Lexmark Confidential
 *
 * SOURCE FILE NAME = PRDBEXTF
 *
 * DESCRIPTIVE NAME = External function definitions for the prdb..
 *                    module
 *
 *
 * VERSION
 *
 * DATE
 *
 * DESCRIPTION
 *
 * FUNCTIONS
 *
 * ENTRY POINTS:
 *
 * DEPENDENCIES:
 *
 * NOTES
 *
 *
 * STRUCTURES
 *
 * EXTERNAL REFERENCES
 *
 * EXTERNAL FUNCTIONS
 *
*/

/******************************************************************************/
/*  BitBlt internal routines                                                  */
/******************************************************************************/
VOID prdb_GetMasks(
            lpBltParms);

VOID prdb_StartPosAndDir(
            lpBltParms);

USHORT prdb_GetFastFlags(
            lpBltParms);

ULONG prdb_GetByteOffset (
            pBMListEntry,
            USHORT,
            USHORT);

SHORT prdb_GetBitOffset (
            pBMListEntry,
            USHORT);

SHORT prdb_GetDwordBitOffset (
            pBMListEntry,
            USHORT);

ULONG prdb_PerformRop(
            PULONG,
            lpBltParms );

void prdb_GetSourceRow(
            lpBltParms);

void prdb_GetPatternRow(
            lpBltParms);

void prdb_Pat11BitAligned(
            lpBltParms );

void prdb_Pat41BitAligned(
            lpBltParms );

VOID prdb_RopOneDword(
            lpBltParms);

VOID prdb_RopTwoDwords(
            lpBltParms);

VOID prdb_RopManyDwords(
            lpBltParms);

VOID prdb_RopDword(
            lpBltParms);

VOID prdb_GetIndices(
            lpBltParms);

VOID prdb_CachePattern(
            lpBltParms);

USHORT prdb_GetPattern(
            lpBltParms);

VOID prdb_DoQuickRop(
            ULONG,
            lpBltParms);

VOID prdb_DoQuickBlt(
            BYTE,
            BYTE,
            lpBltParms);

USHORT prdb_QuickBltPossible(
            lpBltParms);

VOID prdb_DoBitBlt(
            lpBltParms,
            lpDCI);

VOID prdu_dwordset ( PBYTE, PBYTE, USHORT );
